# PyMol installation instructions

## Installation under MacOS X

Follow this steps to install a pre-compiled Open-Source version of [PyMOL](https://pymol.org/2/) under MacOS X.

Tested under OS X 10.10, 10.11 and 10.12.

1. Install [Homebrew](https://brew.sh/):
```
/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
```

2. Install PyMol dependencies using Homebrew:

```
brew install Caskroom/cask/xquartz
brew install tcl-tk --with-threads --with-x11
brew install python --with-tcl-tk
```
3. Install PyMol:

```
brew install homebrew/science/pymol
```

4. Create an application alias for PyMol:

- Open the Automator app, which is install per default in OS X.
- Create a new document and select "Application".
- Left under "Actions Library" select "Utilities" and "Run Shell Script".
- Choose "/bin/bash" as a shell.
- Paste the following: `/usr/local/bin/pymol -M`. Change the path to pymol (`which pymol`) if necessary.
- Save the application ("File > Save") to the Desktop and name it "PyMol".

5. Done, now you can start PyMol by double clicking the created application in the desktop.

### Troubleshooting

You might get an error when trying to start that says "Reason: image not found", regarding the library "Glew" not being found. This is becaus ethe version of "Glew" that PyMol uses is different than the one installed from Homebrew.

To solve this, you need to create a symlink with the name of the Glew binary needed by PyMol linking to the one installed in your computer, for example:
```
cd /usr/local/opt/glew/lib;
ln -s libGLEW.2.1.0.dylib libGLEW.2.0.0.dylib
```
